# Goocanvas Namespace Reference

## Classes
class | Canvas
| The main canvas widget, containing a number of canvas items. More...
class | Bounds
class | Ellipse
class | EllipseModel
class | Grid
class | GridModel
class | Group
class | GroupModel
class | Image
class | ImageModel
class | Item
class | ItemModel
class | ItemModelSimple
class | ItemSimple
class | LineDash
class | Points
class | Polyline
class | PolylineModel
class | Path
class | PathModel
class | Rect
class | RectModel
class | Style
class | Table
class | TableModel
class | Text
class | TextModel
class | Widget
## Enumerations
enum | AnimateType { ANIMATE_FREEZE, ANIMATE_RESET, ANIMATE_RESTART, ANIMATE_BOUNCE }
enum | PointerEvents { EVENTS_VISIBLE_MASK = 1 << 0, EVENTS_PAINTED_MASK = 1 << 1, EVENTS_FILL_MASK = 1 << 2, EVENTS_STROKE_MASK = 1 << 3, EVENTS_NONE = 0, EVENTS_VISIBLE_PAINTED = 0x1, EVENTS_VISIBLE_FILL = 0x1, EVENTS_VISIBLE_STROKE = 0x1, EVENTS_VISIBLE = 0x1, EVENTS_PAINTED = 0x2, EVENTS_FILL = 0x4, EVENTS_STROKE = 0x8, EVENTS_ALL = 0x4 }
enum | ItemVisibility { ITEM_HIDDEN, ITEM_INVISIBLE, ITEM_VISIBLE, ITEM_VISIBLE_ABOVE_THRESHOLD }
enum | PathCommandType { PATH_MOVE_TO, PATH_CLOSE_PATH, PATH_LINE_TO, PATH_HORIZONTAL_LINE_TO, PATH_VERTICAL_LINE_TO, PATH_CURVE_TO, PATH_SMOOTH_CURVE_TO, PATH_QUADRATIC_CURVE_TO, PATH_SMOOTH_QUADRATIC_CURVE_TO, PATH_ELLIPTICAL_ARC }
## Functions
PointerEvents | operator| (PointerEvents lhs, PointerEvents rhs)
PointerEvents | operator& (PointerEvents lhs, PointerEvents rhs)
PointerEvents | operator^ (PointerEvents lhs, PointerEvents rhs)
PointerEvents | operator~ (PointerEvents flags)
PointerEvents& | operator|= (PointerEvents& lhs, PointerEvents rhs)
PointerEvents& | operator&= (PointerEvents& lhs, PointerEvents rhs)
PointerEvents& | operator^= (PointerEvents& lhs, PointerEvents rhs)
void | init (const Glib::ustring& app_id, const Glib::ustring& version, int nargs, gchar* args[])

## Function Documentation

void Goocanvas::init | ( | const Glib::ustring & | app_id,
|  | const Glib::ustring & | version,
|  | int | nargs,
|  | gchar * | args[] |
| ) |  |  |